// Class  : NewBasicClient
// Author : Russ Ethington
// Version: 2/16/96 for Java 1.0

import java.io.*;
import java.net.*;
import java.lang.*;

class NewBasicClient 
{
   public static void main(String args[]) 
   {
      SimpleClientConnection me;
      DataInputStream in;
      PrintStream out;
      String host = "marilyn";
      int port = 4646;
      String incoming;
      String outgoing = "Hello from Java!";

      System.out.print("Connecting to " + host + "...");

      try
         {me = new SimpleClientConnection(host, port);}
      catch (IOException e)
      {
         System.out.println("error.");
         System.out.println("Could not create network client.");
         return;
      }

      if (me.isConnected())
         System.out.println("okay.");
      else
      {
         System.out.println("error.");
         System.out.println("Could not connect to host " + host + " on port " + port + ".");
         return;
      }
      
      in = me.inputStream();
      out = me.outputStream();

      out.println(outgoing);
      System.out.println("Sent    : " + outgoing);
      
      try
      {
         incoming = in.readLine();
         System.out.println("Received: " + incoming);

         System.out.print("Disconnecting...");
         me.disconnect();
      }
      catch (IOException e)
      {
         System.out.println("Could not read line from server. Exiting...");
         return;
      }  
      System.out.println("done.");
   }
}
